﻿@model PagedList<Inverter>
@{
    ViewBag.Title = Resources.Layout_Inverters;
    Layout = "~/Views/Shared/_Layout.cshtml";
    var categories = ViewBag.InverterCategories as List<Category>;
}

<div class="row">
    <div class="col-md-12">
        <div class="well well-sm col-md-12">
            <div class="col-md-3">
                <h5>@Resources.LedLighting_Categories</h5>
                <ul class="list-group">
                    @if (ViewBag.CategoryId == 0)
                    {
                        <li class="list-group-item active"><a href="@Url.Action("Inverters", "Home")">@Resources.LedLighting_All</a></li>
                    }
                    else
                    {
                        <li class="list-group-item"><a href="@Url.Action("Inverters", "Home")">@Resources.LedLighting_All</a></li>
                    }
                    @foreach (var cat in categories)
                    {
                        if(cat.Id==(int)ViewBag.CategoryId)
                        { 
                            <li class="list-group-item active"><a href="@Url.Action("Inverters", "Home", new {category=cat.Id})">@cat.CategoryName</a></li>
                        }
                        else
                        {
                            <li class="list-group-item"><a href="@Url.Action("Inverters", "Home", new {category=cat.Id})">@cat.CategoryName</a></li>
                        }
                    }
                </ul>
            </div>
            <div class="col-md-9">
                <h5>@ViewBag.Category</h5>
                @foreach (var item in Model)
                {
                    <div class="col-md-3">
                        <a class="thumbnail" href="@Url.Action("InverterProduct","Home", new { id=item.Id, returnPage = ViewBag.ReturnUrl })" title="@item.Model">
                            <img src="~/images/inverters/@item.Image?width=210&height=180&quality=60&mode=stretch" alt="@item.Model" title="@item.Model" />
                            <div class="caption">@item.Model</div>
                        </a>
                    </div>
                }
                <div class="clear"></div>
                <div class="center">
                    @Html.PagedListPager(Model, page => Url.Action("Inverters", new { page = page, category = ViewBag.CategoryId as int? }))
                </div>
            </div>
        </div>
    </div>
</div>